package com.ibm.vap.cciadapter.ims;

import javax.resource.cci.Connection;
/*
 * Source File Name : IMSRequester.java
 * Licensed Materials - Property of IBM
 * 5655-F37
 * (C) Copyright IBM Corp. 1983, 2002
 */
import com.ibm.vap.cciadapter.*;
/**
 * Requester dedicated for IMSAdapter using IMS Connect/CCI Library
 */
public class IMSRequester extends com.ibm.vap.cciadapter.CCIRequester {
	private final static String copyright = "Licensed Materials - Property of IBM\n5655-F37\n(C) Copyright IBM Corp. 1983, 2002. All Rights Reserved.\nUS Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP\nSchedule Contract with IBM Corp.";
protected IMSRequester(com.ibm.vap.cciadapter.CCIAdapter cciAdapter, Connection c) throws com.ibm.vap.generic.CommunicationError {
	super(cciAdapter, c);
}
protected VapRecord createVapRecord() {
	return new IMSVapRecord(this.adapter);
}
protected VapRecord createVapRecord(int length) {
	return new IMSVapRecord(length, this.adapter);
}
}
